• Blog posts

    Bio

    by Clint Brown

    I've had several people ask what the best way to view Inventor Models on iPads iPhones and Android devices and the web. There are several ways to do this, the easiest way, if you have Vault is to use the Cadline V_Tools which will Automatically publish released drawing and model data to an online repository, meaning complete secure control of your design data

    However If you are looking for a quick way to share your Inventor design with your colleges or other stakeholders, you can use a bit of iLogic code to publish a DWF file, and in turn, using the Autodesk 360 Sync tool, you can pretty easily get your model or drawing onto Autodesk 360, which has a web application as well as mobile applications available from the Google Play Store and Apple iTunes.

    In the video below I demonstrate the process, and show the model on the web and in A360 Mobile. The code is very simple, all you need to do is fill in the file path of your sync location (explained in the video) and the rest will take care of itself.

    See the code below

    Enjoy! 

    'START of iLOGIC CODE---------------------------------------------------------------

    opath = "SYNC PATH URL GOES HERE - SEE VIDEO"
    
    oname = ThisDoc.FileName(False) ' without extension
    DWFAddIn = ThisApplication.ApplicationAddIns.ItemById("{0AC6FD95-2F4D-42CE-8BE0-8AEA580399E4}")
    oDocument = ThisApplication.ActiveDocument
    oContext = ThisApplication.TransientObjects.CreateTranslationContext
    oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
    oOptions = ThisApplication.TransientObjects.CreateNameValueMap
    oDataMedium = ThisApplication.TransientObjects.CreateDataMedium
    
    If DWFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
    oOptions.Value("Launch_Viewer") = launchviewer
    oOptions.Value("Publish_All_Component_Props") = 1
    oOptions.Value("Publish_All_Physical_Props") = 1
    oOptions.Value("Password") = 0
    End If
    
    'Set the destination file name
    oDataMedium.FileName = opath & "\" & oname & ".dwf"
    
    'Publish document.
    Call DWFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium)

    'END of iLOGIC CODE----------------------------------------------